## org.apache.fop.viewer
Class Command

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--org.apache.fop.viewer.Command

public class Command
extends javax.swing.AbstractAction

Klasse für UI-Kommandos. Die Kommandos können in das Menüsystem oder in eine Toolbar eingefügt werden.
`Commands` unterstützen mehrsprachigkeit.
Durch überschreiben der Methode `doit`kann die Klasse customisiert werden. Über die Methode `undoit` kann Undo-Funktionalität unterstützt werden.
``

Version:
  1.0 18.03.99
Author:
  Juergen.Verwohlt@jcatalog.com
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `IMAGE_DIR`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Constructor Summary
`Command(java.lang.String name)`
`Command(java.lang.String name, javax.swing.ImageIcon anIcon)`
`Command(java.lang.String name, java.lang.String iconName)`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`void` `doit()`
`void` `undoit()`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMAGE_DIR

    public static java.lang.String IMAGE_DIR

Constructor Detail

### Command

    public Command(java.lang.String name)

### Command

    public Command(java.lang.String name,
                   javax.swing.ImageIcon anIcon)

### Command

    public Command(java.lang.String name,
                   java.lang.String iconName)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Overrides:
    actionPerformed in class javax.swing.AbstractAction

### doit

    public void doit()

### undoit

    public void undoit()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.